import {
    pgTable,
    bigint,
    timestamp,
    text,
} from "drizzle-orm/pg-core"

export const countrys = pgTable("countrys", {
    id: bigint("id", { mode: "number" })
        .primaryKey()
        .generatedByDefaultAsIdentity(),

    createdAt: timestamp("created_at", { withTimezone: true })
        .notNull()
        .defaultNow(),

    name: text("name").notNull(),
})

export type Country = typeof countrys.$inferSelect
export type NewCountry = typeof countrys.$inferInsert
